#include "CAIMap.h"
#include "CGraphicSystem.h"
#include "CGame.h"

//----------------------------------------------------------------//
//	Constructor/Deconstructor
//----------------------------------------------------------------//

CAIMap::CAIMap(int width, int height)
{
	m_width		= width;
	m_height	= height;
	m_data		= new int[width * height];

}

CAIMap::~CAIMap()
{

	delete[] m_data; 

}


//-----------------------------------------------------------------//
// For debuggin only
//-----------------------------------------------------------------//

void CAIMap::draw()
{
	for(int x=0; x < m_width; x++)
	{
		for(int y=0; y < m_height; y++)
		{

			g_GraphicSystem.PrintText(STRINGC(m_data[x + (y * m_width)]), x*g_Game.getTileSize() + (g_Game.getTileSize()/2), y*g_Game.getTileSize()+ (g_Game.getTileSize() + (g_Game.getTileSize()/2))); 
			
		}
	}

}